/*---------------------------------------------------------------
    Copyright 2020 Le Filament
    License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).
------------------------------------------------------------------*/

odoo.define('cgscop_alfresco.form_widgets', function(require) {
    "use strict";

    var core = require('web.core');
    var form_widgets = require('cmis_web.form_widgets');
    var session = require('web.session');

    form_widgets.FieldCmisFolder.include({
        /**
         * Surcharge la fonction d'initialisation de la session CMIS pour
         * passer le token de l'utilisateur
         */
         init_cmis_session: function () {
            var self = this;
            $.when(this.cmis_config_loaded).done(function () {
                self.cmis_session = cmis.createSession(self.cmis_location);
                self.cmis_session.setGlobalHandlers(self.on_cmis_error, self.on_cmis_error);

                // CGSCOP : appel vers la fonction custom
                self._rpc({route:'/web/alfresco/session', params:{
                    'username': session.username
                }}).done(function (result) {
                    console.log(result);
                    self.cmis_session.setCredentials('', result);
                });

                self.cmis_session_initialized.resolve();
                self.cmis_session.setCharacterSet(document.characterSet);
            });
        },
    });

});
